classification
Title: the build of the shared modules is quiet/non-visible when GNU make gets passed macros
Type: Stage: resolved
Components: Build Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: doko, iritkatriel
Priority: normal Keywords: patch

Created on 2018-04-30 17:29 by doko, last changed 2020-10-21 15:16 by iritkatriel. This issue is now closed.

Files
File name Uploaded Description Edit
verbose.diff doko, 2018-04-30 17:29
Pull Requests
URL Status Linked Edit
PR 6659 merged doko, 2018-04-30 17:39
PR 6662 merged miss-islington, 2018-05-02 06:57
PR 6663 merged miss-islington, 2018-06-04 17:35
Messages (2)
msg315956 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2018-04-30 17:29
the build of the shared modules is quiet/non-visible when GNU make gets passed macros. This is was introduced by the change to support BSD make.

GNU make adds all make macros passed on the command line to MAKEFLAGS. If one of these macros contains -s, the build of the extensions get quiet.

Also print out how setup.py is called.
msg378735 - (view) Author: Irit Katriel (iritkatriel) * (Python triager) Date: 2020-10-16 18:44
This seems complete, can it be closed?
History
Date User Action Args
2020-10-21 15:16:10iritkatrielsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-10-16 18:44:32iritkatrielsetnosy: + iritkatriel
messages: + msg378735
2018-06-04 17:35:36miss-islingtonsetpull_requests: + pull_request7029
2018-05-04 21:18:49terry.reedysetversions: + Python 3.7, Python 3.8
2018-05-02 06:57:17miss-islingtonsetpull_requests: + pull_request6382
2018-04-30 17:39:55dokosetstage: patch review
pull_requests: + pull_request6355
2018-04-30 17:29:31dokocreate